### Virtual Method

# GnomeCmd FileMetadataExtractor extract_metadata

#### Declaration

    void
    extract_metadata (
      GnomeCmdFileMetadataExtractor* fme,
      GnomeCmdFileDescriptor* fd,
      GnomeCmdFileMetadataExtractorAddTag add,
      gpointer user_data
    )

#### Description

Extracts tags from a file described by a `fd` file descriptor. A callback `add` will be called for every extracted tag and its value.

#### Parameters

`fd`

  Type: `GnomeCmdFileDescriptor`

  A file descriptor.

  The data is owned by the caller of the method.

`add`

  Type: `GnomeCmdFileMetadataExtractorAddTag`

  A callback.

`user_data`

  Type: `gpointer`

  A user data to be passed to `add` callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.